<div class="container">
    <div id="contenido" class="container text-center">
        <h3 class="my-3 text-center">Archivos Adjuntos</h3>
        <!--Calle numero colonia zip city edo. -->
        <div class="row">
            <div class="col-12 mx-auto my-3">
                <p class="text-2">Sube el archivo solicitado en PDF (Máximo 3 MB)</p>
            </div>
        </div>
        <div class="row row-section" *ngFor ="let dato of this.datos;">
            <div class="col-md-12">
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-group text-left">
                            <label class="text-input">{{dato.name}}</label>
                        </div>
                        
                    </div>
                    <div class="col-md-12">
                        <!-- <div class="form-group" style="margin-top:5%">
                            <input type="file" name="file" id="{{dato}}" class="input-file input-file-{{dato}}" (change)="processFile(document)">
                            <label style="color:black; background: transparent; border-color: black;" id="js-labelFile-{{dato}}" for="fileTerminos" class="btn btn-primary {{dato}}">
                              <i class="icon fa fa-check"></i>
                              <span id="name-file-{{dato}}" class="js-fileName js-fileName-{{dato}}">Subir un archivo</span>
                            </label>
                        </div> -->
                        <div class="form-group">
                            <input type="file" name="file" id="fileTerminos-{{dato.id}}" class="input-file input-file-{{dato.id}}"
                            (change)="processFile(dato.id, 'fileTerminos-dato.id')" accept="application/pdf">
                            <label style="color:black; background: transparent; border-color: black; width: 97%;" id="js-labelFile" for="fileTerminos-{{dato.id}}" class="btn js-labelFile js-labelFile-{{dato.id}}">
                              <i class="icon fa fa-check"></i>
                              <span id="name-file-{{dato.id}}" class="js-fileName js-fileName-{{dato.id}}">Elige un archivo</span>
                            </label>
                        </div>
                    </div>
                    
                </div>
            </div>
        </div>
        
        <small class="form-text text-muted" id="errorGeneral" *ngIf="errorGeneral">Todos los archivos adjuntos son obligatorios</small> 
        <div id="alertTypeDocumentPrivacity" *ngIf="showMessageErrorFormat">
            <span style="color:blue">El formato de tu documento es inválido</span>
          </div>
        <div id="alertTypeDocumentPrivacity" *ngIf="showMessageError">
            <span style="color:blue">Ocurrio un error, favor de volver a intentar</span>
          </div>
        <div id="alertTypeDocumentPrivacity" *ngIf="showMessageError">
            <span style="color:blue">El archivo no debe pesar más de 3 MB</span>
          </div>
        <p class="my-3">
            <button type="button"  class="btn btn-lg btn-block btn-danger mr-3 btnUrl btnPrimary" (click)="aceptar()" id="validarBoton"
            [style.background-color]="getColorButton()"
            [style.border-color]="getColorButton()"
            [style.color]="getColorLabel()">Continuar</button>
        </p>                       
    </div>
</div>